1. Registry
  2. Packages
  3. BiznetGIO
  4. API Docs
  5. gpuGraph
Viewing docs for Pulumi BiznetGIO Provider v0.1.7
published on Wednesday, Aug 19, 2026 by shirasakaren
biznetgio logo
Viewing docs for Pulumi BiznetGIO Provider v0.1.7
published on Wednesday, Aug 19, 2026 by shirasakaren

    Using gpuGraph

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function gpuGraph(args: GpuGraphArgs, opts?: InvokeOptions): Promise<GpuGraphResult>
    function gpuGraphOutput(args: GpuGraphOutputArgs, opts?: InvokeOutputOptions): Output<GpuGraphResult>
    def gpu_graph(account_id: Optional[str] = None,
                  timeframe: Optional[str] = None,
                  opts: Optional[InvokeOptions] = None) -> GpuGraphResult
    def gpu_graph_output(account_id: pulumi.Input[Optional[str]] = None,
                  timeframe: pulumi.Input[Optional[str]] = None,
                  opts: Optional[InvokeOutputOptions] = None) -> Output[GpuGraphResult]
    func GpuGraph(ctx *Context, args *GpuGraphArgs, opts ...InvokeOption) (*GpuGraphResult, error)
    func GpuGraphOutput(ctx *Context, args *GpuGraphOutputArgs, opts ...InvokeOption) GpuGraphResultOutput

    > Note: This function is named GpuGraph in the Go SDK.

    public static class GpuGraph 
    {
        public static Task<GpuGraphResult> InvokeAsync(GpuGraphArgs args, InvokeOptions? opts = null)
        public static Output<GpuGraphResult> Invoke(GpuGraphInvokeArgs args, InvokeOptions? opts = null)
        public static Output<GpuGraphResult> Invoke(GpuGraphInvokeArgs args, InvokeOutputOptions opts)
    }
    public static CompletableFuture<GpuGraphResult> gpuGraph(GpuGraphArgs args, InvokeOptions options)
    public static Output<GpuGraphResult> gpuGraph(GpuGraphArgs args, InvokeOptions options)
    public static Output<GpuGraphResult> gpuGraph(GpuGraphArgs args, InvokeOutputOptions options)
    
    fn::invoke:
      function: biznetgio:gpuGraph
      arguments:
        # arguments dictionary
    data "biznetgio_gpu_graph" "name" {
        # arguments
    }

    The following arguments are supported:

    AccountId string
    Account id of the GPU instance to get the monitoring graph for.
    Timeframe string
    Timeframe of the graph: hour, day, week, month, or year. Defaults to hour.
    AccountId string
    Account id of the GPU instance to get the monitoring graph for.
    Timeframe string
    Timeframe of the graph: hour, day, week, month, or year. Defaults to hour.
    account_id string
    Account id of the GPU instance to get the monitoring graph for.
    timeframe string
    Timeframe of the graph: hour, day, week, month, or year. Defaults to hour.
    accountId String
    Account id of the GPU instance to get the monitoring graph for.
    timeframe String
    Timeframe of the graph: hour, day, week, month, or year. Defaults to hour.
    accountId string
    Account id of the GPU instance to get the monitoring graph for.
    timeframe string
    Timeframe of the graph: hour, day, week, month, or year. Defaults to hour.
    account_id str
    Account id of the GPU instance to get the monitoring graph for.
    timeframe str
    Timeframe of the graph: hour, day, week, month, or year. Defaults to hour.
    accountId String
    Account id of the GPU instance to get the monitoring graph for.
    timeframe String
    Timeframe of the graph: hour, day, week, month, or year. Defaults to hour.

    gpuGraph Result

    The following output properties are available:

    Graph string
    Monitoring graph payload from GET /neo-gpus/accounts/{account_id}/graph-monitor, falls back to the raw JSON when no graph field is present.
    Raw string
    Raw JSON of the full response.
    Graph string
    Monitoring graph payload from GET /neo-gpus/accounts/{account_id}/graph-monitor, falls back to the raw JSON when no graph field is present.
    Raw string
    Raw JSON of the full response.
    graph string
    Monitoring graph payload from GET /neo-gpus/accounts/{account_id}/graph-monitor, falls back to the raw JSON when no graph field is present.
    raw string
    Raw JSON of the full response.
    graph String
    Monitoring graph payload from GET /neo-gpus/accounts/{account_id}/graph-monitor, falls back to the raw JSON when no graph field is present.
    raw String
    Raw JSON of the full response.
    graph string
    Monitoring graph payload from GET /neo-gpus/accounts/{account_id}/graph-monitor, falls back to the raw JSON when no graph field is present.
    raw string
    Raw JSON of the full response.
    graph str
    Monitoring graph payload from GET /neo-gpus/accounts/{account_id}/graph-monitor, falls back to the raw JSON when no graph field is present.
    raw str
    Raw JSON of the full response.
    graph String
    Monitoring graph payload from GET /neo-gpus/accounts/{account_id}/graph-monitor, falls back to the raw JSON when no graph field is present.
    raw String
    Raw JSON of the full response.

    Package Details

    Repository
    biznetgio github.com/shirasakaren/pulumi-biznetgio
    License
    Apache-2.0
    biznetgio logo
    Viewing docs for Pulumi BiznetGIO Provider v0.1.7
    published on Wednesday, Aug 19, 2026 by shirasakaren

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial